#
# module DM::Bevel
#
#   class DB
#
#     # @param edge_vert [EdgeVertex]
#     def self.draw_edge_vert(edge_vert, size = 10, style = 2, color = 'red')
#       raise ArgumentError, "Not a EdgeVertex" unless edge_vert.is_a?(EdgeVertex)
#
#       self.draw_pts(edge_vert.vertex.position, size, style, color)
#       self.draw_pts(edge_vert.end_pt, size / 2, style, color)
#       self.draw_line2d([edge_vert.vertex.position, edge_vert.end_pt], 4, color)
#       length = edge_vert.edge_length * 0.1
#       length = 2.0 if length > 2.0
#       yield(edge_vert.vertex.position.offset(edge_vert.edge_vector, length)) if block_given?
#     end
#
#     # @param face_corner [FaceCorner]
#     def self.draw_face_corner(face_corner, size = 10, style = 2, color = 'red')
#       raise ArgumentError, "Not a FaceCorner" unless face_corner.is_a?(FaceCorner)
#
#       ev1_length = face_corner.edge_vert1.edge_length
#       ev2_length = face_corner.edge_vert2.edge_length
#       length = ev1_length > ev2_length ? ev2_length : ev1_length
#       length = 5.0 if length > 5.0
#
#       pt = face_corner.vertex.position.offset(face_corner.mid_vector, length)
#       self.draw_pts(pt, size, style, color)
#       yield(pt) if block_given?
#
#       # ang = self.angle_in_plane(face_corner.edge_vert1.edge_vector, face_corner.edge_vert2.edge_vector, face_corner.face.normal)
#       # ang = face_corner.edge_vert1.edge_vector.angle_between(face_corner.edge_vert2.edge_vector)
#       # self.draw_text(pt, face_corner.state)
#       # self.draw_text(pt, face_corner.adjacent_face_corners.length) if face_corner.three_point_corner?
#       # self.draw_text(pt, face_corner.face.classify_point(face_corner.vertex.position.offset(face_corner.mid_vector, 0.01)))
#     end
#
#     # @param bezier_curve [BezierCurve]
#     def self.draw_bezier_curve(bezier_curve, size = 10, style = 2, color = 'red', stipple = '')
#       raise ArgumentError, "Not a BezierCurve" unless bezier_curve.is_a?(BevelCurve)
#       # color_obj = Sketchup::Color.new(color)
#       self.draw_line2d(bezier_curve.points, 2, color, stipple)
#       self.draw_pts(bezier_curve.points, size, style, color)
#
#       # red = color_obj.red * 1.2
#       # red = red - 255 if red > 255
#       # green = color_obj.green * 1.12
#       # green = green - 255 if green > 255
#       # blue = color_obj.blue * 1.3
#       # blue = blue - 255 if blue > 255
#       # start_color = Sketchup::Color.new(red, green, blue)
#       # draw_pt(bezier_curve.start, size + 5, style, start_color)
#       # red = color_obj.red * 0.9
#       # green = color_obj.green * 0.95
#       # blue = color_obj.blue * 0.8
#       # end_color = Sketchup::Color.new(red, green, blue)
#       # draw_pt(bezier_curve.end, size + 3, style, end_color)
#     end
#
#     # @param loop_vertex [LoopVertex]
#     def self.draw_loop_vertex(loop_vertex, size = 12, color = 'red')
#       raise ArgumentError, "Not a LoopVertex" unless loop_vertex.instance_of?(LoopVertex)
#
#       self.draw_pt_text(loop_vertex.vertex.position, 'cur', size, color)
#       self.draw_pt_text(loop_vertex.next_vertex.position, 'next', size, color)
#       self.draw_pt_text(loop_vertex.prev_vertex.position, 'prev', size, color)
#     end
#
#   end
#
# end